# WP Knowledge Base Theme
#### by iPanelThemes.com

![Theme Logo](theme-banner.png?raw=true)

Finally a free and open source knowledge base theme made specifically for WordPress.
Uses twitter bootstrap for rendering UI components and some other open source elements
for rendering niceness.

Released version 1.5.1. Download the release and upload it as a WordPress Theme.

## Acknowledgement
Before we dive into the cool features of this theme, let's take a minute here to acknowledge
all the tools that were used during the development of this theme.
* [Underscore Starter Theme](http://underscores.me/): The basic theme framework.
* [Twitter Bootstrap 3.0](http://getbootstrap.com/): Nothing would've been possible without this.
* [Icomoon Icons](http://icomoon.io/): Along with Glyphicons, we've included icomoon for more icons.
* [Sticky-kit](https://github.com/leafo/sticky-kit): A little forked version of it to provide the affix widget.
* [wp-bootstrap-navwalker](https://github.com/twittem/wp-bootstrap-navwalker): A little forked version to generate the top nav.
* [Google Webfonts](http://www.google.com/fonts/): Particularly, Oswald & Roboto Fonts are used.

## Features
* Awesome bootstrap 3.0 UI all over the theme.
* Easily manage multiple knowledge base with categories and posts and nothing else.
* Nice and fine user experience for your customers.
* Add custom images and icons to categories or knowledge bases.
* Completely responsive structure, thanks to Bootstrap.
* A nice dynamic homepage featuring all your knowledge bases.
* Individual category archives for featuring single knowledge base.
* Nice looking archive page for child categories with post featured images.
* Affix widget and social widget.
* Compatibility with a number of bootstrap plugins.
* In built compatibility with a number of other plugins. (See recommended plugins).
* A nice and small footer to show off.
* Bootstrap navigation menu with custom-header image as logo.
* Custom 404 page! [Check it](http://ipanelthemes.com/kb/i-am-a-smart-404-page/).
* Integrated SEO support with BreadCrumbs (Rich Snippets) and third-party plugin integrations.
* and so on...

## Documentation
Comprehensive documentation on how to use this theme is available [at this link](http://ipanelthemes.com/kb/products/wp-knowledge-base-theme/).

## Live Preview
Check our own [Knowledge Base](http://ipanelthemes.com/kb/).

## Core Components converted to bootstrap UI
* Home Page
* Category Pages
* Subcategory pages
* Comments
* Next/Previous Posts links
* wp_link_pages pagination
* Search bar
* Navigation

## About this repository
This will always be the cutting edge development version of the theme. Pull requests are more than welcome.

## Included Widgets
* Affix Widget
* Social Widget
* Knowledge Base Widget
* Popular Knowledge Base Articles

## Included Sidebars
* Knowledge Base Sidebar on individual posts and category archives - ideal for affix widget
* General Sidebar - on everywhere else - ideal for any widgets
* Footer large (on left) - ideal for a short about us
* Footer small (on right) - ideal for social widget

## Compatible and Recommended Plugins
* [Easy Bootstrap Shortcode](http://ipanelthemes.com/kb/wp-knowledge-base-theme/kb-plugins/easy-bootstrap-shortcode/) : Add shortcode functionality to output bootstrap components.
* [Category and Post Ordering](http://ipanelthemes.com/kb/wp-knowledge-base-theme/kb-plugins/category-post-ordering/) : Reorder Knowledge Bases and articles.
* [Remove Category Base](http://ipanelthemes.com/kb/wp-knowledge-base-theme/kb-plugins/remove-category-base/) : Remove the `/category/` base from permalink.
* [Syntax Highlighter Evolved](http://ipanelthemes.com/kb/wp-knowledge-base-theme/kb-plugins/syntax-highlighting/) : Put source codes on your post.
* [WP-PageNavi](http://ipanelthemes.com/kb/wp-knowledge-base-theme/kb-plugins/pagination-using-wp-pagenavi/) : Convert Next/Previous links on archive pages to paginations.
* [WordPress SEO](http://ipanelthemes.com/kb/search-engine-optimization/) : Complete compatibility with WordPress SEO by Yoast.
* [jQuery Colorbox](http://http://ipanelthemes.com/kb/wp-knowledge-base-theme/kb-plugins/jquery-colorbox-display-images-lighbox/) : Put your images inside lightbox.
* [Advanced TinyMCE](http://ipanelthemes.com/kb/wp-knowledge-base-theme/kb-plugins/customizing-tinymce-editor-buttons/) : Customize TinyMCE buttons.

## Compatible and Recommended bbPress Plugins
Complete support is added to bbPress 2.4.1 and (hopefully) greater to host support related forums. Please read [this post](http://ipanelthemes.com/kb/wp-knowledge-base-theme/kb-components/support-forum-using-bbpress/) to learn more. Below is a quick list of compatible plugins.
* [Buddy-bbPress Support Topic](http://wordpress.org/plugins/buddy-bbpress-support-topic/) Out of the box compatibility with styling and proper icons. Supports only the version 2.0.0 (currently in beta) or greater. Also adds a few more status to the plugin.
* [bbPress Pencil Unread](http://wordpress.org/plugins/bbpress-pencil-unread/) Properly styled unread forums (highlighted icons).
* [GD bbPress Attachments](http://wordpress.org/plugins/gd-bbpress-attachments/) For uploading attachments. Frontend output is properly styled.
* [GD bbPress Tools](http://wordpress.org/plugins/gd-bbpress-tools/) Various tools. Each of them are styled properly to match the theme.
* [bbPress - Canned Replies](http://wordpress.org/plugins/bbpress-canned-replies/) - Preset replies. Properly styled for enhanced visual experience.
* [Captcha](http://wordpress.org/plugins/captcha/) The output on the bbPress registration and login page are styled.

## TODO

* Add Twitter typehead to the search fields for auto-completion

## License
```
WP Knowledge Base WordPress theme, Copyright (C) 2013 iPanelThemes.com
WP Knowledge Base WordPress theme is licensed under the GPL.
```

This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned with others.

## Bundled Resources
```
Underscore A Starter Theme for WordPress - ​http://underscores.me/
License: Distributed under the terms of the GPL License
Copyright: Automattic, http://automattic.com/
```

```
Bootstrap - ​http://getbootstrap.com/
License: Distributed under the terms of the Apache 2.0 license.
Copyright: Twitter, http://twitter.com
```

```
Icomoon Icon Packs - ​http://icomoon.io/#icons
License: Distributed under the terms of the GPL
Copyright: IcoMoon, http://icomoon.io/
```

```
Sticky-Kit - ​http://leafo.net/sticky-kit/
License: Distributed under the terms of the WTFPL
Copyright: Leaf Corcoran, http://leafo.net
```

```
wp-bootstrap-navwalker - ​https://github.com/twittem/wp-bootstrap-navwalker
License: Distributed under the terms of the GPL-2.0+
Copyright: Edward McIntyre - @twittem
```

```
Google Fonts (Roboto and Oswald) - ​http://www.google.com/fonts/
License: Roboto font and Oswald font are distributed under the terms of the Apache License, version 2.0 and SIL Open Font License, 1.1 respectively
Copyright: Google Fonts, http://www.google.com/fonts/attribution
```

## Changelog

### Version 1.6.0
* Updated to latest bootstrap 3.0.1
* Added the optional theme for visually enhanced experience
* Added complete support for bbPress. Now WP Knowledge Base Theme can serve purpose for support forum as well
* Pages will now be with sidebar
* Added a full-width page template
* Fixed comment form bug on handheld devices
* Improved default button and form styling

### Version 1.5.1

* Fixed site-title issue when not using image as header
* Google webfonts will be enqueued respecting protocol (http or https)

### Version 1.5.0

* Updated to latest IcoMoon fonts which is now under GPL (thanks to @Keyamoon)
* Better CSS localization for Icon Classes (prefixed with `ipt-icon` instead of just `ipt`)
* Fixed comment template layout issue when viewed under small devices (comment textarea leaving a margin on left)
* Fixed invalid href on a div element in Affix Widget
* While using the rel property on the navigation menu for adding icons, it will not get added to the rel attribute and thereby produce incorrect HTML
* Improved category archive page appearance (changed well to well-sm for better white-space usage)

### Version 1.4.0

* Updated the home.php to use default blog type layout
* Added page templete (Knowledge Base Page) to populate the knowledge base appearance (see documentation to learn how to use this as the front page)
* Added author information on single posts and author archive
* Made two sidebars, one for Knowledge Base (categories and posts) and another general
* Added comments to the pages (when comment is turned on)
* Added copyright information to the stylesheet and readme.txt
* Fixed long title overflow issue
* Added a new popular articles widget
* Added a new knowledge bases widget
* Improved Comment form layout
* Fixed header navigation bar collapsing issue

### Version 1.3.0

* Updated Theme name in style.css (respecting WordPress guideline).
* Added compatibility for upcoming EBS Plugin.
* Updated translations and a few translation bugs.

### Version 1.2.0

* Added article number information all throughout the pages.
* Optimized footer appearance for handheld devices.
* Added icons to empty results.
* Repositioned popover to bottom for better appearance on handheld devices.
* Removed small image on article list and added icon instead.
* Added compatibility with Post Order Plugin.
* Several other fine tuning (see commits)
* SHA: 0aac9c67304ed506f300fcfa6c6aeba5e2e51746

### Version 1.1.0
* First Stable release
* SHA: 8cf9a9ba94724e72d7ce599f24c71e58bb68c534
* SHA: 336fcfc5debf109473d3d8d2a38c5b4e7f4af4d4
* SHA: bd56c93b50cd93e6e55b8b9553d1e4b19e87bcc3
